summaryrefslogtreecommitdiffstats
path: root/tools/regression/geom_subr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/regression/geom_subr.sh')
-rw-r--r--tools/regression/geom_subr.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/regression/geom_subr.sh b/tools/regression/geom_subr.sh
new file mode 100644
index 0000000..6047829
--- /dev/null
+++ b/tools/regression/geom_subr.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# $FreeBSD$
+
+kldstat -q -m g_${class} || g${class} load || exit 1
+
+devwait()
+{
+ while :; do
+ if [ -c /dev/${class}/${name} ]; then
+ return
+ fi
+ sleep 0.2
+ done
+}
OpenPOWER on IntegriCloud